package com.fuzamei.service;

import java.util.List;

import com.fuzamei.entity.Params;
import com.fuzamei.entity.UserDetail;

public interface UserAuthoricationService {
	UserDetail queryUserDetail(Integer userId,String... roleNames);

	UserDetail queryUserAuthority(Integer userId, String... roleNames);

	List<UserDetail> showAllCarriersUnderSupplier();

	boolean verificationToken(int userId, String token);
}
